安装Spark 客户端 提示"the install4j wizard could not find a java(TM) Runntime......“分析

你猜 阅读:295 2021-03-31 22:22:49 评论:0

在安装IM Spark 客户端,提示如下错误:



提示的错误信息大意如下:install4j安装时,在本系统中没有找到32位Java Runtime Environment(版本要求:最低1.7,最高1.8)


我自己在网上搜索了一下,跟我遇到相识的朋友还不在少数,因此,在这里做个笔记。

解决问题思路:Spark2.7是一款32位的软件,但我自身的电脑系统版本是windows7 家庭版 64位,JDK也是安装的64位。但该Spark 2.7安装需要使用到JDK 32的系统环境。

    因此,我需要往系统变量中添加一个新的环境变量,指向JDK 32位的安装目录。

    添加的属性为:EXE4J_JAVA_HOME,其属性的值为32位的JDK的所在位置

声明

1.本站遵循行业规范,任何转载的稿件都会明确标注作者和来源;2.本站的原创文章,请转载时务必注明文章作者和来源,不尊重原创的行为我们将追究责任;3.作者投稿可能会经我们编辑修改或补充。

发表评论
搜索
KIKK导航

KIKK导航

排行榜
关注我们

一个IT知识分享的公众号